import request from "./request";

export async function queryProject(params) {
  return await request("v2/approval/record", "GET", params);
}

export async function queryAuth(params) {
  return await request("v2/approval/list/auth", "GET", params);
}

export async function queryProjectType() {
  return await request("v2/approval/type/dic", "GET");
}

export async function queryIndustry() {
  return await request("v2/approval/industry/dic", "GET");
}

export async function queryFlow() {
  return await request("v2/approval/flow", "GET");
}

export async function deleteApproval(data) {
  return request(`v2/approval/record/${data.id}`, { method: "DELETE" });
}
